class Cooperative::LaboratorySettingsController < Cooperative::BaseController
  def edit
    @laboratory = current_laboratory
  end

  def update
    Admins::SaveLaboratorySettingService.call(current_laboratory, form_params)
    render_ok
  end

  def form_params
    params.permit(:identifier, :name,
                  :nav_logo, :login_logo, :tab_logo,
                  :subject_banner, :course_banner, :competition_banner, :moop_cases_banner,
                  :footer, navbar: %i[name link hidden])
  end
end